Debian Bug report logs - #569337
xserver-xorg-input-tslib: "xset q" crashes X server

version graph

Package: xserver-xorg-input-tslib; Maintainer for xserver-xorg-input-tslib is Debian Embedded <debian-embedded@lists.debian.org>;

Reported by: Timo Juhani Lindfors <timo.lindfors@iki.fi>

Date: Thu, 11 Feb 2010 14:48:01 UTC

Severity: normal

Found in versions xf86-input-tslib/0.0.6-5, xf86-input-tslib/0.0.6-2, xf86-input-tslib/0.0.6-4

Fixed in version xf86-input-tslib/0.0.6-6

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Wen-Yen Chuang <caleb@calno.com>:
Bug#569337; Package xserver-xorg-input-tslib. (Thu, 11 Feb 2010 14:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
New Bug report received and forwarded. Copy sent to Wen-Yen Chuang <caleb@calno.com>. (Thu, 11 Feb 2010 14:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-input-tslib: "xset q" crashes X server
Date: Thu, 11 Feb 2010 16:49:14 +0200
Package: xserver-xorg-input-tslib
Version: 0.0.6-2
Severity: normal

Steps to reproduce:
1) buy openmoko neo freerunner phone ;-)
2) make sure xorg.conf has only
Section "Device"
           Identifier      "Configured Video Device"
           Driver          "fbdev"
EndSection
3) run X -verbose 3
4) run xterm &
5) run xset q
6) run xset q

Expected results:
5&6) xset prints useful information

Actual results:
4) first xset prints

Keyboard Control:
  auto repeat:  on    key click percent:  0    LED mask:  00000000
  XKB indicators:
    00: Caps Lock:   off    01: Num Lock:    off    02: Scroll Lock: off
    03: Compose:     off    04: Kana:        off    05: Sleep:       off
    06: Suspend:     off    07: Mute:        off    08: Misc:        off
    09: Mail:        off    10: Charging:    off    11: Shift Lock:  off
    12: Group 2:     off    13: Mouse Keys:  off
  auto repeat delay:  660    repeat rate:  25
  auto repeating keys:  00ffffffdffffbbf
                        fadfffefffedffff
                        9fffffffffffffff
                        fff7ffffffffffff
  bell percent:  50    bell pitch:  400    bell duration:  100
Pointer Control:
  acceleration:  2/1    threshold:  4
Screen Saver:
  prefer blanking:  yes    allow exposures:  yes
  timeout:  600    cycle:  600
Colors:
  default colormap:  0x20    BlackPixel:  0    WhitePixel:  65535
Font Path:
  /usr/share/fonts/X11/misc,built-ins
DPMS (Energy Star):
  Standby: 600    Suspend: 600    Off: 600
  DPMS is Enabled
  Monitor is On

5) second xset prints

XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"
      after 8 requests (7 known processed) with 0 events remaining.
xterm:  fatal IO error 11 (Resource temporarily unavailable) or KillClient on X server ":0.0"


More info:
1) X -verbose 3 printed

_XSERVTransSocketOpenCOTSServer: Unable to open socket for inet6
_XSERVTransOpen: transport open failed for inet6/ginger:0
_XSERVTransMakeAllCOTSServerListeners: failed to open listener for inet6

X.Org X Server 1.7.4
Release Date: 2010-01-08
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.26-2-iop32x armv5tel Debian
Current Operating System: Linux ginger 2.6.29-GTA02_lindi2-andy-tracking-mokodev #2 Thu Feb 11 11:06:36 EET 2010 armv4tl
Kernel command line: loglevel=4 console=tty0 console=ttySAC2,115200 init=/sbin/init ro  mtdparts=physmap-flash:-(nor);neo1973-nand:0x00040000(qi),0x00040000(depr-ub-env),0x00800000(kernel),0x000a0000(depr),0x00040000(identity-ext2),0x0f6a0000(rootfs)  g_ether.host_addr=00:1F:11:01:1F:6B g_ether.dev_addr=00:1F:11:01:1F:6B  root=/dev/mmcblk0p1 rootdelay=1 rootdelay=1 panic=20 mem=127M root=/dev/mmcblk0p2 loglevel=8
Build Date: 21 January 2010  04:20:50AM
xorg-server 2:1.7.4-2 (buildd@argento) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Feb 11 16:19:25 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) No Layout section.  Using the first Screen section.
(==) No screen section available. Using defaults.
(**) |-->Screen "Default Screen Section" (0)
(**) |   |-->Monitor "<default monitor>"
(==) No device specified for screen "Default Screen Section".
	Using the first device section listed.
(**) |   |-->Device "Configured Video Device"
(==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/Type1" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Cannot locate a core pointer device.
(II) Cannot locate a core keyboard device.
(II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x1a4858
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(--) using VT number 1

(II) Open APM successful
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "fbdev"
(II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) Module fbdev: vendor="X.Org Foundation"
	compiled for 1.7.3.902, module version = 0.4.1
	ABI class: X.Org Video Driver, version 6.0
(II) FBDEV: driver for framebuffer: fbdev
(WW) Falling back to old probe method for fbdev
(II) Loading sub module "fbdevhw"
(II) LoadModule: "fbdevhw"
(II) Loading /usr/lib/xorg/modules/linux/libfbdevhw.so
(II) Module fbdevhw: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 0.0.2
	ABI class: X.Org Video Driver, version 6.0
(II) FBDEV(0): using default device
(WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
(II) Running in FRAMEBUFFER Mode
(II) FBDEV(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 16/16
(==) FBDEV(0): Depth 16, (==) framebuffer bpp 16
(==) FBDEV(0): RGB weight 565
(==) FBDEV(0): Default visual is TrueColor
(==) FBDEV(0): Using gamma correction (1.0, 1.0, 1.0)
(II) FBDEV(0): hardware: SMedia Glamo (video memory: 4096kB)
(II) FBDEV(0): checking modes against framebuffer device...
(II) FBDEV(0): checking modes against monitor...
(--) FBDEV(0): Virtual size is 480x640 (pitch 480)
(**) FBDEV(0):  Built-in mode "current": 24.5 MHz, 47.9 kHz, 72.5 Hz
(II) FBDEV(0): Modeline "current"x0.0   24.50  480 496 504 512  640 656 658 660 -hsync -vsync -csync (47.9 kHz)
(==) FBDEV(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(**) FBDEV(0): using shadow framebuffer
(II) Loading sub module "shadow"
(II) LoadModule: "shadow"
(II) Loading /usr/lib/xorg/modules/libshadow.so
(II) Module shadow: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.1.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(==) FBDEV(0): Backing store disabled
(==) FBDEV(0): DPMS enabled
(==) RandR enabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
record: RECORD extension enabled at configure time.
record: This extension is known to be broken, disabling extension now..
record: http://bugs.freedesktop.org/show_bug.cgi?id=20500
(II) AIGLX: Screen 0 is not DRI2 capable
(II) AIGLX: Screen 0 is not DRI capable
(EE) AIGLX error: dlopen of /usr/lib/dri/swrast_dri.so failed (/usr/lib/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
(EE) GLX: could not load software renderer
(II) GLX: no usable GL providers found for screen 0
(II) config/udev: Adding input device "Neo1973 Buttons" (/dev/input/event4)
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.3.902, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) "Neo1973 Buttons": always reports core events
(**) "Neo1973 Buttons": Device: "/dev/input/event4"
(II) "Neo1973 Buttons": Found keys
(II) "Neo1973 Buttons": Configuring as keyboard
(II) XINPUT: Adding extended input device ""Neo1973 Buttons"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "fi"
(**) Option "xkb_options" "lv3:ralt_switch"
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning:          Type "ONE_LEVEL" has 1 levels, but <RALT> has 2 symbols
>                   Ignoring extra symbols
Errors from xkbcomp are not fatal to the X server
(II) config/udev: Adding input device "PCF50633 PMU events" (/dev/input/event0)
(**) "PCF50633 PMU events": always reports core events
(**) "PCF50633 PMU events": Device: "/dev/input/event0"
(II) "PCF50633 PMU events": Found keys
(II) "PCF50633 PMU events": Configuring as keyboard
(II) XINPUT: Adding extended input device ""PCF50633 PMU events"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "fi"
(**) Option "xkb_options" "lv3:ralt_switch"
(II) config/udev: Adding input device "s3c2410 TouchScreen" (/dev/input/event1)
(II) LoadModule: "tslib"
(II) Loading /usr/lib/xorg/modules/input/tslib_drv.so
(II) Module tslib: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 0.0.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) "s3c2410 TouchScreen": always reports core events
(II) XINPUT: Adding extended input device ""s3c2410 TouchScreen"" (type: TOUCHSCREEN)
xf86TslibControlProc
xf86TslibControlProc

2) I attached gdb to the X process:

(gdb) shell pidof X
27769
(gdb) attach 27769
Attaching to process 27769
Reading symbols from /usr/bin/Xorg...(no debugging symbols found)...done.
Reading symbols from /lib/libudev.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libudev.so.0
Reading symbols from /usr/lib/libpciaccess.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libpciaccess.so.0
Reading symbols from /lib/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libpthread.so.0...(no debugging symbols found)...done.
[Thread debugging using libthread_db enabled]
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /usr/lib/libXfont.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXfont.so.1
Reading symbols from /usr/lib/libXau.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXau.so.6
Reading symbols from /usr/lib/libpixman-1.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libpixman-1.so.0
Reading symbols from /usr/lib/libXdmcp.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXdmcp.so.6
Reading symbols from /usr/lib/libgcrypt.so.11...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgcrypt.so.11
Reading symbols from /lib/libaudit.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libaudit.so.0
Reading symbols from /lib/libselinux.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libselinux.so.1
Reading symbols from /lib/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/librt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /usr/lib/libz.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /lib/ld-linux.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/ld-linux.so.3
Reading symbols from /usr/lib/libfreetype.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libfreetype.so.6
Reading symbols from /lib/libbz2.so.1.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libbz2.so.1.0
Reading symbols from /usr/lib/libfontenc.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libfontenc.so.1
Reading symbols from /usr/lib/libgpg-error.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgpg-error.so.0
Reading symbols from /usr/lib/xorg/modules/extensions/libextmod.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xorg/modules/extensions/libextmod.so
Reading symbols from /usr/lib/xorg/modules/extensions/libdbe.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xorg/modules/extensions/libdbe.so
Reading symbols from /usr/lib/xorg/modules/extensions/libglx.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xorg/modules/extensions/libglx.so
Reading symbols from /usr/lib/xorg/modules/extensions/librecord.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xorg/modules/extensions/librecord.so
Reading symbols from /usr/lib/xorg/modules/extensions/libdri.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xorg/modules/extensions/libdri.so
Reading symbols from /usr/lib/libdrm.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libdrm.so.2
Reading symbols from /usr/lib/xorg/modules/extensions/libdri2.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xorg/modules/extensions/libdri2.so
Reading symbols from /usr/lib/xorg/modules/drivers/fbdev_drv.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xorg/modules/drivers/fbdev_drv.so
Reading symbols from /usr/lib/xorg/modules/linux/libfbdevhw.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xorg/modules/linux/libfbdevhw.so
Reading symbols from /usr/lib/xorg/modules/libfb.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xorg/modules/libfb.so
Reading symbols from /usr/lib/xorg/modules/libshadow.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xorg/modules/libshadow.so
Reading symbols from /usr/lib/xorg/modules/input/evdev_drv.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xorg/modules/input/evdev_drv.so
Reading symbols from /usr/lib/xorg/modules/input/tslib_drv.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xorg/modules/input/tslib_drv.so
Reading symbols from /usr/lib/libts-0.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libts-0.0.so.0
Reading symbols from /usr/lib/ts0/input.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ts0/input.so
Reading symbols from /usr/lib/ts0/pthres.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ts0/pthres.so
Reading symbols from /usr/lib/ts0/variance.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ts0/variance.so
Reading symbols from /usr/lib/ts0/dejitter.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ts0/dejitter.so
Reading symbols from /usr/lib/ts0/linear.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/ts0/linear.so
0x403722e4 in select () from /lib/libc.so.6
(gdb) c
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x00033c64 in ?? ()
(gdb) x/16i $pc
Cannot access memory at address 0x14
0x33c64:	ldrh	r2, [r7, #12]
0x33c68:	ldr	r3, [r5, #16]
0x33c6c:	strh	r2, [sp, #12]
0x33c70:	cmp	r3, #0
0x33c74:	ldrh	r3, [r7, #4]
0x33c78:	strh	r3, [sp, #8]
0x33c7c:	ldrh	r7, [r7, #8]
0x33c80:	strh	r7, [sp, #10]
0x33c84:	bne	0x33c9c
0x33c88:	mov	r0, r5
0x33c8c:	mov	r1, #32
0x33c90:	mov	r2, sp
0x33c94:	bl	0x605c4 <WriteToClient>
0x33c98:	b	0x33c28
0x33c9c:	ldr	r2, [r5, #8]
0x33ca0:	ldr	r3, [pc, #36]	; 0x33ccc
(gdb) info register
r0             0x0	0
r1             0xbea2f584	3198350724
r2             0x8	8
r3             0x19b794	1685396
r4             0x19b794	1685396
r5             0x354130	3490096
r6             0x1	1
r7             0x0	0
r8             0x0	0
r9             0x1afe80	1769088
r10            0x354130	3490096
r11            0x14	20
r12            0xbea2f5c0	3198350784
sp             0xbea2f5c0	0xbea2f5c0
lr             0x33c4c	212044
pc             0x33c64	0x33c64
fps            0x1001000	16781312
cpsr           0x60000010	1610612752
(gdb) c shell cat /proc/27769/maps
00008000-00193000 r-xp 00000000 b3:02 127990     /usr/bin/Xorg
0019a000-001a7000 rwxp 0018a000 b3:02 127990     /usr/bin/Xorg
001a7000-00363000 rwxp 001a7000 00:00 0          [heap]
40000000-4001c000 r-xp 00000000 b3:02 93198      /lib/ld-2.10.2.so
4001c000-40023000 rwxp 4001c000 00:00 0 
40023000-40024000 r-xp 0001b000 b3:02 93198      /lib/ld-2.10.2.so
40024000-40025000 rwxp 0001c000 b3:02 93198      /lib/ld-2.10.2.so
40025000-40029000 r-xp 00000000 b3:02 33238      /usr/lib/xorg/modules/extensions/libdbe.so
40029000-40030000 ---p 00004000 b3:02 33238      /usr/lib/xorg/modules/extensions/libdbe.so
40030000-40031000 rwxp 00003000 b3:02 33238      /usr/lib/xorg/modules/extensions/libdbe.so
40032000-4003c000 r-xp 00000000 b3:02 62263      /lib/libudev.so.0.6.0
4003c000-40043000 ---p 0000a000 b3:02 62263      /lib/libudev.so.0.6.0
40043000-40044000 rwxp 00009000 b3:02 62263      /lib/libudev.so.0.6.0
40044000-4004a000 r-xp 00000000 b3:02 124666     /usr/lib/libpciaccess.so.0.10.8
4004a000-40052000 ---p 00006000 b3:02 124666     /usr/lib/libpciaccess.so.0.10.8
40052000-40053000 rwxp 00006000 b3:02 124666     /usr/lib/libpciaccess.so.0.10.8
40053000-40055000 r-xp 00000000 b3:02 93207      /lib/libdl-2.10.2.so
40055000-4005c000 ---p 00002000 b3:02 93207      /lib/libdl-2.10.2.so
4005c000-4005d000 r-xp 00001000 b3:02 93207      /lib/libdl-2.10.2.so
4005d000-4005e000 rwxp 00002000 b3:02 93207      /lib/libdl-2.10.2.so
4005e000-40072000 r-xp 00000000 b3:02 93170      /lib/libpthread-2.10.2.so
40072000-4007a000 ---p 00014000 b3:02 93170      /lib/libpthread-2.10.2.so
4007a000-4007b000 r-xp 00014000 b3:02 93170      /lib/libpthread-2.10.2.so
4007b000-4007c000 rwxp 00015000 b3:02 93170      /lib/libpthread-2.10.2.so
4007c000-4007e000 rwxp 4007c000 00:00 0 
4007e000-400b1000 r-xp 00000000 b3:02 124975     /usr/lib/libXfont.so.1.4.1
400b1000-400b9000 ---p 00033000 b3:02 124975     /usr/lib/libXfont.so.1.4.1
400b9000-400bb000 rwxp 00033000 b3:02 124975     /usr/lib/libXfont.so.1.4.1
400bb000-400bd000 r-xp 00000000 b3:02 124506     /usr/lib/libXau.so.6.0.0
400bd000-400c4000 ---p 00002000 b3:02 124506     /usr/lib/libXau.so.6.0.0
400c4000-400c5000 rwxp 00001000 b3:02 124506     /usr/lib/libXau.so.6.0.0
400c5000-40117000 r-xp 00000000 b3:02 130507     /usr/lib/libpixman-1.so.0.16.4
40117000-4011e000 ---p 00052000 b3:02 130507     /usr/lib/libpixman-1.so.0.16.4
4011e000-40120000 rwxp 00051000 b3:02 130507     /usr/lib/libpixman-1.so.0.16.4
40120000-40124000 r-xp 00000000 b3:02 124517     /usr/lib/libXdmcp.so.6.0.0
40124000-4012b000 ---p 00004000 b3:02 124517     /usr/lib/libXdmcp.so.6.0.0
4012b000-4012c000 rwxp 00003000 b3:02 124517     /usr/lib/libXdmcp.so.6.0.0
4012c000-4019d000 r-xp 00000000 b3:02 124224     /usr/lib/libgcrypt.so.11.5.3
4019d000-401a4000 ---p 00071000 b3:02 124224     /usr/lib/libgcrypt.so.11.5.3
401a4000-401a7000 rwxp 00070000 b3:02 124224     /usr/lib/libgcrypt.so.11.5.3
401a7000-401be000 r-xp 00000000 b3:02 63670      /lib/libaudit.so.0.0.0
401be000-401c5000 ---p 00017000 b3:02 63670      /lib/libaudit.so.0.0.0
401c5000-401c6000 r-xp 00016000 b3:02 63670      /lib/libaudit.so.0.0.0
401c6000-401c7000 rwxp 00017000 b3:02 63670      /lib/libaudit.so.0.0.0
401c7000-401de000 r-xp 00000000 b3:02 64265      /lib/libselinux.so.1
401de000-401e5000 ---p 00017000 b3:02 64265      /lib/libselinux.so.1
401e5000-401e6000 r-xp 00016000 b3:02 64265      /lib/libselinux.so.1
401e6000-401e7000 rwxp 00017000 b3:02 64265      /lib/libselinux.so.1
401e7000-40285000 r-xp 00000000 b3:02 93200      /lib/libm-2.10.2.so
40285000-4028d000 ---p 0009e000 b3:02 93200      /lib/libm-2.10.2.so
4028d000-4028e000 r-xp 0009e000 b3:02 93200      /lib/libm-2.10.2.so
4028e000-4028f000 rwxp 0009f000 b3:02 93200      /lib/libm-2.10.2.so
4028f000-40295000 r-xp 00000000 b3:02 93201      /lib/librt-2.10.2.so
40295000-4029c000 ---p 00006000 b3:02 93201      /lib/librt-2.10.2.so
4029c000-4029d000 r-xp 00005000 b3:02 93201      /lib/librt-2.10.2.so
4029d000-4029e000 rwxp 00006000 b3:02 93201      /lib/librt-2.10.2.so
4029e000-402aa000 r-xp 00000000 b3:02 62102      /lib/libgcc_s.so.1
402aa000-402b1000 ---p 0000c000 b3:02 62102      /lib/libgcc_s.so.1
402b1000-402b2000 rwxp 0000b000 b3:02 62102      /lib/libgcc_s.so.1
402b2000-403d4000 r-xp 00000000 b3:02 93190      /lib/libc-2.10.2.so
403d4000-403db000 ---p 00122000 b3:02 93190      /lib/libc-2.10.2.so
403db000-403dd000 r-xp 00121000 b3:02 93190      /lib/libc-2.10.2.so
403dd000-403de000 rwxp 00123000 b3:02 93190      /lib/libc-2.10.2.so
403de000-403e1000 rwxp 403de000 00:00 0 
403e1000-403f5000 r-xp 00000000 b3:02 134899     /usr/lib/libz.so.1.2.3.4
403f5000-403fc000 ---p 00014000 b3:02 134899     /usr/lib/libz.so.1.2.3.4
403fc000-403fd000 rwxp 00013000 b3:02 134899     /usr/lib/libz.so.1.2.3.4
403fd000-40468000 r-xp 00000000 b3:02 130631     /usr/lib/libfreetype.so.6.3.22
40468000-4046f000 ---p 0006b000 b3:02 130631     /usr/lib/libfreetype.so.6.3.22
4046f000-40473000 rwxp 0006a000 b3:02 130631     /usr/lib/libfreetype.so.6.3.22
40473000-40484000 r-xp 00000000 b3:02 62084      /lib/libbz2.so.1.0.4
40484000-4048c000 ---p 00011000 b3:02 62084      /lib/libbz2.so.1.0.4
4048c000-4048d000 rwxp 00011000 b3:02 62084      /lib/libbz2.so.1.0.4
4048d000-40491000 r-xp 00000000 b3:02 126202     /usr/lib/libfontenc.so.1.0.0
40491000-40499000 ---p 00004000 b3:02 126202     /usr/lib/libfontenc.so.1.0.0
40499000-4049a000 rwxp 00004000 b3:02 126202     /usr/lib/libfontenc.so.1.0.0
4049a000-4049d000 r-xp 00000000 b3:02 130751     /usr/lib/libgpg-error.so.0.4.0
4049d000-404a4000 ---p 00003000 b3:02 130751     /usr/lib/libgpg-error.so.0.4.0
404a4000-404a5000 rwxp 00002000 b3:02 130751     /usr/lib/libgpg-error.so.0.4.0
404a5000-404c1000 r-xp 00000000 b3:02 33237      /usr/lib/xorg/modules/extensions/libextmod.so
404c1000-404c8000 ---p 0001c000 b3:02 33237      /usr/lib/xorg/modules/extensions/libextmod.so
404c8000-404ca000 rwxp 0001b000 b3:02 33237      /usr/lib/xorg/modules/extensions/libextmod.so
404ca000-4051d000 r-xp 00000000 b3:02 33236      /usr/lib/xorg/modules/extensions/libglx.so
4051d000-40524000 ---p 00053000 b3:02 33236      /usr/lib/xorg/modules/extensions/libglx.so
40524000-40527000 rwxp 00052000 b3:02 33236      /usr/lib/xorg/modules/extensions/libglx.so
40527000-40529000 r-xp 00000000 b3:02 32712      /usr/lib/xorg/modules/extensions/librecord.so
40529000-40530000 ---p 00002000 b3:02 32712      /usr/lib/xorg/modules/extensions/librecord.so
40530000-40531000 rwxp 00001000 b3:02 32712      /usr/lib/xorg/modules/extensions/librecord.so
40531000-40539000 r-xp 00000000 b3:02 33239      /usr/lib/xorg/modules/extensions/libdri.so
40539000-40540000 ---p 00008000 b3:02 33239      /usr/lib/xorg/modules/extensions/libdri.so
40540000-40541000 rwxp 00007000 b3:02 33239      /usr/lib/xorg/modules/extensions/libdri.so
40541000-40543000 r-xp 00000000 b3:02 32713      /usr/lib/xorg/modules/extensions/libdri2.so
40543000-4054b000 ---p 00002000 b3:02 32713      /usr/lib/xorg/modules/extensions/libdri2.so
4054b000-4054c000 rwxp 00002000 b3:02 32713      /usr/lib/xorg/modules/extensions/libdri2.so
4054e000-40557000 r-xp 00000000 b3:02 127035     /usr/lib/libdrm.so.2.4.0
40557000-4055e000 ---p 00009000 b3:02 127035     /usr/lib/libdrm.so.2.4.0
4055e000-4055f000 rwxp 00008000 b3:02 127035     /usr/lib/libdrm.so.2.4.0
4055f000-40563000 r-xp 00000000 b3:02 125415     /usr/lib/xorg/modules/drivers/fbdev_drv.so
40563000-4056a000 ---p 00004000 b3:02 125415     /usr/lib/xorg/modules/drivers/fbdev_drv.so
4056a000-4056b000 rwxp 00003000 b3:02 125415     /usr/lib/xorg/modules/drivers/fbdev_drv.so
4056b000-4056f000 r-xp 00000000 b3:02 141379     /usr/lib/xorg/modules/linux/libfbdevhw.so
4056f000-40576000 ---p 00004000 b3:02 141379     /usr/lib/xorg/modules/linux/libfbdevhw.so
40576000-40577000 rwxp 00003000 b3:02 141379     /usr/lib/xorg/modules/linux/libfbdevhw.so
40577000-40592000 r-xp 00000000 b3:02 125488     /usr/lib/xorg/modules/libfb.so
40592000-4059a000 ---p 0001b000 b3:02 125488     /usr/lib/xorg/modules/libfb.so
4059a000-4059b000 rwxp 0001b000 b3:02 125488     /usr/lib/xorg/modules/libfb.so
4059b000-405a0000 r-xp 00000000 b3:02 125453     /usr/lib/xorg/modules/libshadow.so
405a0000-405a7000 ---p 00005000 b3:02 125453     /usr/lib/xorg/modules/libshadow.so
405a7000-405a8000 rwxp 00004000 b3:02 125453     /usr/lib/xorg/modules/libshadow.so
405a8000-409a8000 rwxs 08800000 00:0c 191        /dev/fb0
409a8000-40e59000 rwxp 409a8000 00:00 0 
40e59000-40e61000 r-xp 00000000 b3:02 125411     /usr/lib/xorg/modules/input/evdev_drv.so
40e61000-40e68000 ---p 00008000 b3:02 125411     /usr/lib/xorg/modules/input/evdev_drv.so
40e68000-40e69000 rwxp 00007000 b3:02 125411     /usr/lib/xorg/modules/input/evdev_drv.so
40e69000-40e6c000 r-xp 00000000 b3:02 125175     /usr/lib/xorg/modules/input/tslib_drv.so
40e6c000-40e73000 ---p 00003000 b3:02 125175     /usr/lib/xorg/modules/input/tslib_drv.so
40e73000-40e74000 rwxp 00002000 b3:02 125175     /usr/lib/xorg/modules/input/tslib_drv.so
40e74000-40e75000 r-xp 00000000 b3:02 135131     /usr/lib/ts0/input.so
40e75000-40e7c000 ---p 00001000 b3:02 135131     /usr/lib/ts0/input.so
40e7c000-40e7d000 rwxp 00000000 b3:02 135131     /usr/lib/ts0/input.so
40e81000-40e83000 r-xp 00000000 b3:02 130986     /usr/lib/libts-0.0.so.0.1.1
40e83000-40e8a000 ---p 00002000 b3:02 130986     /usr/lib/libts-0.0.so.0.1.1
40e8a000-40e8b000 rwxp 00001000 b3:02 130986     /usr/lib/libts-0.0.so.0.1.1
40e8b000-40e8c000 r-xp 00000000 b3:02 135135     /usr/lib/ts0/pthres.so
40e8c000-40e93000 ---p 00001000 b3:02 135135     /usr/lib/ts0/pthres.so
40e93000-40e94000 rwxp 00000000 b3:02 135135     /usr/lib/ts0/pthres.so
40e94000-40e95000 r-xp 00000000 b3:02 135137     /usr/lib/ts0/variance.so
40e95000-40e9c000 ---p 00001000 b3:02 135137     /usr/lib/ts0/variance.so
40e9c000-40e9d000 rwxp 00000000 b3:02 135137     /usr/lib/ts0/variance.so
40e9d000-40e9e000 r-xp 00000000 b3:02 135129     /usr/lib/ts0/dejitter.so
40e9e000-40ea5000 ---p 00001000 b3:02 135129     /usr/lib/ts0/dejitter.so
40ea5000-40ea6000 rwxp 00000000 b3:02 135129     /usr/lib/ts0/dejitter.so
40ea6000-40ea7000 r-xp 00000000 b3:02 135132     /usr/lib/ts0/linear.so
40ea7000-40eae000 ---p 00001000 b3:02 135132     /usr/lib/ts0/linear.so
40eae000-40eaf000 rwxp 00000000 b3:02 135132     /usr/lib/ts0/linear.so
bea1b000-bea30000 rw-p befeb000 00:00 0          [stack]
(gdb) 

3) The bug does not occur if I remove /dev/input/event1 (the
touchscreen device) -- This led me report the bug against
xserver-xorg-input-tslib. If you feel the bug is in some other
package, feel free to reassign.

Two other people on IRC (jaacoppi and Mirv) have confirmed this bug on
openmoko neo freerunner.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: armel (armv4tl)

Kernel: Linux 2.6.29-GTA02_lindi2-andy-tracking-mokodev
Locale: LANG=C, LC_CTYPE=fi_FI (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-input-tslib depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libts-0.0-0                   1.0-7      touch screen library
ii  xserver-xorg-core             2:1.7.4-2  Xorg X server - core server

Versions of packages xserver-xorg-input-tslib recommends:
ii  hal                           0.5.14-2   Hardware Abstraction Layer

xserver-xorg-input-tslib suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Wen-Yen Chuang <caleb@calno.com>:
Bug#569337; Package xserver-xorg-input-tslib. (Thu, 11 Feb 2010 15:57:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Wen-Yen Chuang <caleb@calno.com>. (Thu, 11 Feb 2010 15:57:16 GMT) Full text and rfc822 format available.

Message #10 received at 569337@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 569337@bugs.debian.org
Subject: Re: Bug#569337: Acknowledgement (xserver-xorg-input-tslib: "xset q" crashes X server)
Date: Thu, 11 Feb 2010 17:59:31 +0200
Hi,

it seems that running "xset mouse" is sufficient.

I installed xserver-xorg-core-dbg and got the following backtrace:

Program received signal SIGSEGV, Segmentation fault.
0x00033d10 in ProcChangePointerControl (client=0x399d38) at ../../dix/devices.c:2038
2038    ../../dix/devices.c: No such file or directory.
        in ../../dix/devices.c
(gdb) info locals
dev = <value optimized out>
mouse = 0x1da1e0
rc = 1941984
(gdb) bt
#0  0x00033d10 in ProcChangePointerControl (client=0x399d38) at ../../dix/devices.c:2038
#1  0x000305c4 in Dispatch () at ../../dix/dispatch.c:439
#2  0x000279d4 in main (argc=7, argv=0xbebb38a4, envp=<value optimized out>) at ../../dix/main.c:285





Information forwarded to debian-bugs-dist@lists.debian.org, Wen-Yen Chuang <caleb@calno.com>:
Bug#569337; Package xserver-xorg-input-tslib. (Thu, 11 Feb 2010 16:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Wen-Yen Chuang <caleb@calno.com>. (Thu, 11 Feb 2010 16:36:08 GMT) Full text and rfc822 format available.

Message #15 received at 569337@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 569337@bugs.debian.org
Subject: Re: Bug#569337: Info received (Bug#569337: Acknowledgement (xserver-xorg-input-tslib: "xset q" crashes X server))
Date: Thu, 11 Feb 2010 18:37:27 +0200
Now I got it to segfault at a different place:

(gdb) bt
#0  ProcGetPointerControl (client=0x38f4c0) at ../../dix/devices.c:2122
#1  0x000305c4 in Dispatch () at ../../dix/dispatch.c:439
#2  0x000279d4 in main (argc=7, argv=0xbefe38a4, envp=<value optimized out>) at ../../dix/main.c:285
(gdb) info locals
ptr = <value optimized out>
rep = {type = 1 '\001', pad1 = 12 '\f', sequenceNumber = 8, length = 0, accelNumerator = 62656, accelDenominator = 56, threshold = 0, pad2 = 0, pad3 = 1685396, pad4 = 1685396, pad5 = 3732672, pad6 = 0}
rc = 0

gdb says the line would be

rep.threshold = ctrl->threshold;

but of course ctrl is optimized out.




Information forwarded to debian-bugs-dist@lists.debian.org, Wen-Yen Chuang <caleb@calno.com>:
Bug#569337; Package xserver-xorg-input-tslib. (Fri, 12 Feb 2010 13:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to zumbi@debian.org:
Extra info received and forwarded to list. Copy sent to Wen-Yen Chuang <caleb@calno.com>. (Fri, 12 Feb 2010 13:57:07 GMT) Full text and rfc822 format available.

Message #20 received at 569337@bugs.debian.org (full text, mbox):

From: zumbi@debian.org
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 569337@bugs.debian.org
Cc: <jonas@debian.org>, "Neil Williams" <codehelp@debian.org>,
Subject: Re: Bug#569337: xserver-xorg-input-tslib: "xset q" crashes X server
Date: Fri, 12 Feb 2010 15:49:23 +0100 (CET)
[Message part 1 (text/plain, inline)]
Hello Timo,

 Thanks for reporting and debugging this issue. I have just adopted the package but I still need to setup a test environment and else.

 Anyway, could you please rebuild and test with the following patch which basically has two upstream patches which fixes:

From: Grazvydas Ignotas <notasas@gmail.com>

at least xserver 1.7.4 crashes on XGetPointerControl request because
of xf86-input-tslib:

Program received signal SIGSEGV, Segmentation fault.
#0  0x000355e0 in ProcGetPointerControl (client=0x4a2e58) at devices.c:2122
#1  0x00062fa8 in Dispatch () at dispatch.c:439
#2  0x00022444 in main (argc=4, argv=0xbeebedc4, envp=0xbeebedd8) at main.c:285

This happens because ptrfeed field is not set in device structure from tslib.
To fix this, call InitPtrFeedbackClassDeviceStruct() during DEVICE_INIT
to get necessary setup done (as done in other input drivers).

--

From: Stanislav Brabec <sbrabec@suse.cz>
Subject: xf86-input-tslib-0.0.6 crash fix with xorg-server-1.7.3

Here is a fix for crash of xf86-input-tslib-0.0.6 with xorg-server-1.7.3
that should be backward compatible.

xorg-server-1.7.3/hw/xfree86/common/xf86Helper.c contains this code
causing a double free crash on chvt or exit:

   /* This should *really* be handled in drv->UnInit(dev) call instead, but
    * if the driver forgets about it make sure we free it or at least crash
    * with flying colors */
   if (pInp->private)
       xfree(pInp->private);

PATCH:

Index: src/tslib.c
===================================================================
--- src/tslib.c	(revision 46)
+++ src/tslib.c	(revision 48)
@@ -103,8 +103,6 @@
static void
PointerControlProc(DeviceIntPtr dev, PtrCtrl * ctrl)
{
-	ErrorF("%s\n", __FUNCTION__);
-	return;
}

static Bool
@@ -406,6 +404,8 @@
		xf86MotionHistoryAllocate(pInfo);
#endif

+		if (!InitPtrFeedbackClassDeviceStruct(device, PointerControlProc))
+			return !Success;
		break;

	case DEVICE_ON:
@@ -435,6 +435,7 @@
	xf86TslibControlProc(pInfo->dev, DEVICE_OFF);
	ts_close(priv->ts);
	xfree(pInfo->private);
+	pInfo->private = NULL;
	xf86DeleteInput(pInfo, 0);
}

Cheers,
-- 
Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar System, which one day will disconnect us."


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Wen-Yen Chuang <caleb@calno.com>:
Bug#569337; Package xserver-xorg-input-tslib. (Fri, 12 Feb 2010 14:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Wen-Yen Chuang <caleb@calno.com>. (Fri, 12 Feb 2010 14:39:02 GMT) Full text and rfc822 format available.

Message #25 received at 569337@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: zumbi@debian.org
Cc: 569337@bugs.debian.org, <jonas@debian.org>, "Neil Williams" <codehelp@debian.org>
Subject: Re: Bug#569337: xserver-xorg-input-tslib: "xset q" crashes X server
Date: Fri, 12 Feb 2010 16:41:00 +0200
[Message part 1 (text/plain, inline)]
zumbi@debian.org writes:
>  Anyway, could you please rebuild and test with the following patch
>  which basically has two upstream patches which fixes:

The patch seems to work, thank you very much for the speedy response!

The patch got mangled in your email so I have attached a more
machine-readable version to this mail so that other people can apply
it faster.

Here's a transscript that shows that the patch actually works:

Script started on Fri Feb 12 16:05:43 2010
lindi@ginger:~/debian/debian-xserver-xorg-input-tslib$ apt-get source xserver-xorg-input-tslib
Reading package lists... Done
Building dependency tree... 99%
Reading state information... Done
Picking 'xf86-input-tslib' as source package instead of 'xserver-xorg-input-tslib'
Need to get 345kB of source archives.
Get:1ohttp://ftp.fi.debian.org unstable/main xf86-input-tslib 0.0.6-2 (dsc) [1823B]
Get:2ohttp://ftp.fi.debian.orgBunstable/main xf86-input-tslib 0.0.6-2 (tar) [329kB]
Get:3Whttp://ftp.fi.debian.orgBunstable/main xf86-input-tslib 0.0.6-2 (diff) [14.6kB]
Fetchedo345kB]int0ss(587kB/s).6kB 0%]
gpgv: keyblock resource `/home/lindi/.gnupg/trustedkeys.gpg': file open error
gpgv: Signature made Tue Jan 26 16:57:03 2010 EET using RSA key ID 76E2AC7B
gpgv: Can't check signature: public key not found
dpkg-source: warning: failed to verify signature on ./xf86-input-tslib_0.0.6-2.dsc
dpkg-source: info: extracting xf86-input-tslib in xf86-input-tslib-0.0.6
dpkg-source: info: unpacking xf86-input-tslib_0.0.6.orig.tar.gz
dpkg-source: info: unpacking xf86-input-tslib_0.0.6-2.debian.tar.gz
dpkg-source: info: applying 95_update-manpage.diff
lindi@ginger:~/debian/debian-xserver-xorg-input-tslib$ cd xf86-input-tslib-0.0.6/
lindi@ginger:~/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6$ sudo apt-get build-dep xserver-xorg-input-tslib
Reading package lists... Done
Building dependency tree... 98%
Reading state information... Done
Picking 'xf86-input-tslib' as source package instead of 'xserver-xorg-input-tslib'
The following NEW packages will be installed:
  libts-dev
0 upgraded, 1 newly installed, 0 to remove and 9 not upgraded.
Need to get 12.7kB of archives.
After this operation, 119kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1ohttp://ftp.fi.debian.org unstable/main libts-dev 1.0-7 [12.7kB]
Fetchedo12.7kBvinB0s2(136kB/s)
Selecting previously deselected package libts-dev.
(Reading database ... 60327 files and directories currently installed.)
Unpacking libts-dev (from .../libts-dev_1.0-7_armel.deb) ...
Setting up libts-dev (1.0-7) ...
localepurge: Disk space freed in /usr/share/locale: 0 KiB
localepurge: Disk space freed in /usr/share/man: 0 KiB
localepurge: Disk space freed in /usr/share/gnome/help: 0 KiB
localepurge: Disk space freed in /usr/share/omf: 0 KiB

Total disk space freed by localepurge: 0 KiB

# I applied the patch here

lindi@ginger:~/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6$ dpkg-buildpackage -rfakeroot -us -uc
dpkg-buildpackage: set CFLAGS to default value: -g -O2
dpkg-buildpackage: set CPPFLAGS to default value:
dpkg-buildpackage: set LDFLAGS to default value:
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
dpkg-buildpackage: source package xf86-input-tslib
dpkg-buildpackage: source version 0.0.6-2
dpkg-buildpackage: source changed by Wen-Yen Chuang <caleb@calno.com>
dpkg-buildpackage: host architecture armel
 fakeroot debian/rules clean
rm -f stampdir/genscripts
rm -f debian/*.config \
	      debian/*.postinst \
	      debian/*.postrm \
	      debian/*.preinst \
	      debian/*.prerm
mkdir stampdir
>stampdir/stampdir
mkdir -p stampdir/log
rm -f stampdir/patch
Unapplying patches...nothing to do.
dh_testdir
rm -rf .pc
rm -rf stampdir
dh_clean
dh_testdir
dh_testroot
rm -f build-stamp
[ ! -f Makefile ] || /usr/bin/make distclean
dh_clean
 dpkg-source -b xf86-input-tslib-0.0.6
dpkg-source: info: using options from xf86-input-tslib-0.0.6/debian/source/options: --compression-level=9
dpkg-source: info: using source format `3.0 (quilt)'
dpkg-source: info: building xf86-input-tslib using existing ./xf86-input-tslib_0.0.6.orig.tar.gz
dpkg-source: info: local changes stored in xf86-input-tslib-0.0.6/debian/patches/debian-changes-0.0.6-2, the modified files are:
 xf86-input-tslib-0.0.6/src/tslib.c
 xf86-input-tslib-0.0.6/xserver-xorg-input-tslib.bug569337.patch
dpkg-source: info: building xf86-input-tslib in xf86-input-tslib_0.0.6-2.debian.tar.gz
dpkg-source: info: building xf86-input-tslib in xf86-input-tslib_0.0.6-2.dsc
 debian/rules build
dh_testdir
./configure --build arm-linux-gnueabi --prefix=/usr --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info CFLAGS="-g -O2" LDFLAGS="-z,defs"
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking build system type... arm-unknown-linux-gnueabi
checking host system type... arm-unknown-linux-gnueabi
checking for style of include used by make... GNU
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognize dependent libraries... pass_all
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking how to run the C++ preprocessor... g++ -E
checking for g77... no
checking for xlf... no
checking for f77... no
checking for frt... no
checking for pgf77... no
checking for cf77... no
checking for fort77... no
checking for fl32... no
checking for af77... no
checking for xlf90... no
checking for f90... no
checking for pgf90... no
checking for pghpf... no
checking for epcf90... no
checking for gfortran... no
checking for g95... no
checking for xlf95... no
checking for f95... no
checking for fort... no
checking for ifort... no
checking for ifc... no
checking for efc... no
checking for pgf95... no
checking for lf95... no
checking for ftn... no
checking whether we are using the GNU Fortran 77 compiler... no
checking whether  accepts -g... no
checking the maximum length of command line arguments... 805306365
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by g++... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking for g++ option to produce PIC... -fPIC
checking if g++ PIC flag -fPIC works... yes
checking if g++ static flag -static works... yes
checking if g++ supports -c -o file.o... yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... GNU/Linux ld.so
(cached) (cached) checking how to hardcode library paths into programs... immediate
appending configuration tag "F77" to libtool
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking if RANDR is defined... yes
checking if XINPUT is defined... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for XORG... yes
checking for ts_open in -lts... yes
checking for ANSI C header files... (cached) yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating man/Makefile
config.status: creating config.h
config.status: executing depfiles commands
dh_testdir
/usr/bin/make
make[1]: Entering directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6'
/usr/bin/make  all-recursive
make[2]: Entering directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6'
Making all in src
make[3]: Entering directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/src'
/bin/bash ../libtool --tag=CC	--mode=compile gcc -DHAVE_CONFIG_H -I. -I..	-g -O2 -fvisibility=hidden -I/usr/include/xorg -I/usr/include/pixman-1	  -I../src -MT tslib.lo -MD -MP -MF .deps/tslib.Tpo -c -o tslib.lo tslib.c
mkdir .libs
 gcc -DHAVE_CONFIG_H -I. -I.. -g -O2 -fvisibility=hidden -I/usr/include/xorg -I/usr/include/pixman-1 -I../src -MT tslib.lo -MD -MP -MF .deps/tslib.Tpo -c tslib.c  -fPIC -DPIC -o .libs/tslib.o
mv -f .deps/tslib.Tpo .deps/tslib.Plo
/bin/bash ../libtool --tag=CC	--mode=link gcc  -g -O2 -fvisibility=hidden -I/usr/include/xorg -I/usr/include/pixman-1    -I../src -module -avoid-version -z,defs -o tslib_drv.la -rpath /usr/lib/xorg/modules/input tslib.lo	-lts
gcc -shared  .libs/tslib.o  /usr/lib/libts.so  -Wl,-soname -Wl,tslib_drv.so -o .libs/tslib_drv.so
creating tslib_drv.la
(cd .libs && rm -f tslib_drv.la && ln -s ../tslib_drv.la tslib_drv.la)
make[3]: Leaving directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/src'
Making all in man
make[3]: Entering directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/man'
sed -e 's|__vendorversion__|"xf86-input-tslib 0.0.6" "X Version 11"|' -e 's|__xorgversion__|"xf86-input-tslib 0.0.6" "X Version 11"|' -e 's|__xservername__|Xorg|g' -e 's|__xconfigfile__|xorg.conf|g' -e 's|__projectroot__|/usr|g' -e 's|__appmansuffix__|1x|g' -e 's|__drivermansuffix__|4|g' -e 's|__adminmansuffix__|8|g' -e 's|__miscmansuffix__|7|g' -e 's|__filemansuffix__|5x|g' < tslib.man > tslib.4
make[3]: Leaving directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/man'
make[3]: Entering directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6'
make[3]: Nothing to be done for `all-am'.
make[3]: Leaving directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6'
make[2]: Leaving directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6'
make[1]: Leaving directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6'
touch build-stamp
 fakeroot debian/rules binary
dh_testdir
dh_testroot
dh_clean -k
dh_installdirs
/usr/bin/make DESTDIR=/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/debian/xserver-xorg-input-tslib install
make[1]: Entering directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6'
Making install in src
make[2]: Entering directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/src'
make[3]: Entering directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/src'
make[3]: Nothing to be done for `install-exec-am'.
test -z "/usr/lib/xorg/modules/input" || /bin/mkdir -p "/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/debian/xserver-xorg-input-tslib/usr/lib/xorg/modules/input"
 /bin/bash ../libtool	--mode=install /usr/bin/install -c  'tslib_drv.la' '/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/debian/xserver-xorg-input-tslib/usr/lib/xorg/modules/input/tslib_drv.la'
/usr/bin/install -c .libs/tslib_drv.so /home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/debian/xserver-xorg-input-tslib/usr/lib/xorg/modules/input/tslib_drv.so
/usr/bin/install -c .libs/tslib_drv.lai /home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/debian/xserver-xorg-input-tslib/usr/lib/xorg/modules/input/tslib_drv.la
libtool: install: warning: remember to run `libtool --finish /usr/lib/xorg/modules/input'
make[3]: Leaving directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/src'
make[2]: Leaving directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/src'
Making install in man
make[2]: Entering directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/man'
make[3]: Entering directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/man'
make[3]: Nothing to be done for `install-exec-am'.
test -z "/usr/share/man/man4" || /bin/mkdir -p "/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/debian/xserver-xorg-input-tslib/usr/share/man/man4"
 /usr/bin/install -c -m 644 'tslib.4' '/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/debian/xserver-xorg-input-tslib/usr/share/man/man4/tslib.4'
make[3]: Leaving directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/man'
make[2]: Leaving directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6/man'
make[2]: Entering directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6'
make[3]: Entering directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6'
make[3]: Nothing to be done for `install-exec-am'.
make[3]: Nothing to be done for `install-data-am'.
make[3]: Leaving directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6'
make[2]: Leaving directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6'
make[1]: Leaving directory `/home/lindi/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6'
rm -fr	debian/*/usr/share/man/man4/* \
		debian/*/usr/lib/xorg/modules/input/*.la
echo "xserver:Depends=xserver-xorg-core (>= 2:1.6.99.900)" >> debian/xserver-xorg-input-tslib.substvars
echo "xviddriver:Provides=xserver-xorg-video-6" >> debian/xserver-xorg-input-tslib.substvars
echo "xinpdriver:Provides=xserver-xorg-input-7" >> debian/xserver-xorg-input-tslib.substvars
dh_testdir
dh_testroot
dh_installchangelogs ChangeLog
dh_installdocs
dh_installman man/tslib.4
dh_install
dh_strip
dh_compress
dh_fixperms
dh_installdeb
dh_shlibdeps
dpkg-shlibdeps: warning: debian/xserver-xorg-input-tslib/usr/lib/xorg/modules/input/tslib_drv.so contains an unresolvable reference to symbol xf86SetStrOption: it's probably a plugin.
dpkg-shlibdeps: warning: 25 other similar warnings have been skipped (use -v to see them all).
dh_gencontrol
dpkg-gencontrol: warning: unused substitution variable ${xviddriver:Provides}
dh_md5sums
dh_builddeb
dpkg-deb: building package `xserver-xorg-input-tslib' in `../xserver-xorg-input-tslib_0.0.6-2_armel.deb'.
 dpkg-genchanges  >../xf86-input-tslib_0.0.6-2_armel.changes
dpkg-genchanges: not including original source code in upload
dpkg-buildpackage: binary and diff upload (original source NOT included)
lindi@ginger:~/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6$ sudo dpkg -i ../xserver-xorg-input-tslib_0.0.6-2_armel.deb'.
(Reading database ... 60347 files and directories currently installed.)
Preparing to replace xserver-xorg-input-tslib 0.0.6-2 (using .../xserver-xorg-input-tslib_0.0.6-2_armel.deb) ...
Unpacking replacement xserver-xorg-input-tslib ...
Setting up xserver-xorg-input-tslib (0.0.6-2) ...
Processing triggers for man-db ...
Processing triggers for hal ...
Regenerating hal fdi cache ...
lindi@ginger:~/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6$ sudo /etc/init.d/xdm stop
Stopping X display manager: xdm.
lindi@ginger:~/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6$ sudo /etc/init.d/xdm start
Starting X display manager: xdm.
lindi@ginger:~/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6$
lindi@ginger:~/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6$ xset mouse
lindi@ginger:~/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6$ xset mouse
lindi@ginger:~/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6$ xset q
Keyboard Control:
  auto repeat:	on    key click percent:  0    LED mask:  00000000
  XKB indicators:
    00: Caps Lock:   off    01: Num Lock:    off    02: Scroll Lock: off
    03: Compose:     off    04: Kana:	     off    05: Sleep:	     off
    06: Suspend:     off    07: Mute:	     off    08: Misc:	     off
    09: Mail:	     off    10: Charging:    off    11: Shift Lock:  off
    12: Group 2:     off    13: Mouse Keys:  off
  auto repeat delay:  660    repeat rate:  25
  auto repeating keys:	00ffffffdffffbbf
			fadfffefffedffff
			9fffffffffffffff
			fff7ffffffffffff
  bell percent:  50    bell pitch:  400    bell duration:  100
Pointer Control:
  acceleration:  2/1	threshold:  4
Screen Saver:
  prefer blanking:  yes    allow exposures:  yes
  timeout:  0	 cycle:  0
Colors:
  default colormap:  0x20    BlackPixel:  0    WhitePixel:  65535
Font Path:
  /usr/share/fonts/X11/misc,built-ins
DPMS (Energy Star):
  Standby: 12	 Suspend: 12	Off: 12
  DPMS is Enabled
  Monitor is On
lindi@ginger:~/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6$ xset q
Keyboard Control:
  auto repeat:	on    key click percent:  0    LED mask:  00000000
  XKB indicators:
    00: Caps Lock:   off    01: Num Lock:    off    02: Scroll Lock: off
    03: Compose:     off    04: Kana:	     off    05: Sleep:	     off
    06: Suspend:     off    07: Mute:	     off    08: Misc:	     off
    09: Mail:	     off    10: Charging:    off    11: Shift Lock:  off
    12: Group 2:     off    13: Mouse Keys:  off
  auto repeat delay:  660    repeat rate:  25
  auto repeating keys:	00ffffffdffffbbf
			fadfffefffedffff
			9fffffffffffffff
			fff7ffffffffffff
  bell percent:  50    bell pitch:  400    bell duration:  100
Pointer Control:
  acceleration:  2/1	threshold:  4
Screen Saver:
  prefer blanking:  yes    allow exposures:  yes
  timeout:  0	 cycle:  0
Colors:
  default colormap:  0x20    BlackPixel:  0    WhitePixel:  65535
Font Path:
  /usr/share/fonts/X11/misc,built-ins
DPMS (Energy Star):
  Standby: 12	 Suspend: 12	Off: 12
  DPMS is Enabled
  Monitor is On
lindi@ginger:~/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6$ xsetqq
Keyboard Control:
  auto repeat:	on    key click percent:  0    LED mask:  00000000
  XKB indicators:
    00: Caps Lock:   off    01: Num Lock:    off    02: Scroll Lock: off
    03: Compose:     off    04: Kana:	     off    05: Sleep:	     off
    06: Suspend:     off    07: Mute:	     off    08: Misc:	     off
    09: Mail:	     off    10: Charging:    off    11: Shift Lock:  off
    12: Group 2:     off    13: Mouse Keys:  off
  auto repeat delay:  660    repeat rate:  25
  auto repeating keys:	00ffffffdffffbbf
			fadfffefffedffff
			9fffffffffffffff
			fff7ffffffffffff
  bell percent:  50    bell pitch:  400    bell duration:  100
Pointer Control:
  acceleration:  2/1	threshold:  4
Screen Saver:
  prefer blanking:  yes    allow exposures:  yes
  timeout:  0	 cycle:  0
Colors:
  default colormap:  0x20    BlackPixel:  0    WhitePixel:  65535
Font Path:
  /usr/share/fonts/X11/misc,built-ins
DPMS (Energy Star):
  Standby: 12	 Suspend: 12	Off: 12
  DPMS is Enabled
  Monitor is On
lindi@ginger:~/debian/debian-xserver-xorg-input-tslib/xf86-input-tslib-0.0.6$ exit
exit

Script done on Fri Feb 12 16:30:38 2010


[xserver-xorg-input-tslib.569337.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Wen-Yen Chuang <caleb@calno.com>:
Bug#569337; Package xserver-xorg-input-tslib. (Fri, 12 Feb 2010 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Wen-Yen Chuang <caleb@calno.com>. (Fri, 12 Feb 2010 15:03:03 GMT) Full text and rfc822 format available.

Message #30 received at 569337@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 569337@bugs.debian.org, js@debian.org, Neil Williams <codehelp@debian.org>
Subject: Re: Bug#569337: xserver-xorg-input-tslib: "xset q" crashes X server
Date: Fri, 12 Feb 2010 16:01:14 +0100
Hi Lindi,

2010/2/12 Timo Juhani Lindfors <timo.lindfors@iki.fi>:
> The patch seems to work, thank you very much for the speedy response!
>
> The patch got mangled in your email so I have attached a more
> machine-readable version to this mail so that other people can apply
> it faster.

Thanks for reporting and testing! :-)
I'll try to do a new upload with the fix next week.

Kind regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."




Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Sat, 13 Feb 2010 10:39:12 GMT) Full text and rfc822 format available.

Notification sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Bug acknowledged by developer. (Sat, 13 Feb 2010 10:39:12 GMT) Full text and rfc822 format available.

Message #35 received at 569337-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 569337-close@bugs.debian.org
Subject: Bug#569337: fixed in xf86-input-tslib 0.0.6-3
Date: Sat, 13 Feb 2010 10:38:12 +0000
Source: xf86-input-tslib
Source-Version: 0.0.6-3

We believe that the bug you reported is fixed in the latest version of
xf86-input-tslib, which is due to be installed in the Debian FTP archive:

xf86-input-tslib_0.0.6-3.dsc
  to main/x/xf86-input-tslib/xf86-input-tslib_0.0.6-3.dsc
xf86-input-tslib_0.0.6-3.tar.gz
  to main/x/xf86-input-tslib/xf86-input-tslib_0.0.6-3.tar.gz
xserver-xorg-input-tslib_0.0.6-3_i386.deb
  to main/x/xf86-input-tslib/xserver-xorg-input-tslib_0.0.6-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 569337@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated xf86-input-tslib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 13 Feb 2010 00:52:07 +0100
Source: xf86-input-tslib
Binary: xserver-xorg-input-tslib
Architecture: source i386
Version: 0.0.6-3
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded <debian-embedded@lists.debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 xserver-xorg-input-tslib - tslib touchscreen driver for X.Org/XFree86 server
Closes: 569337
Changes: 
 xf86-input-tslib (0.0.6-3) unstable; urgency=low
 .
   [ Hector Oron ]
   * Fix segfault in X server (Closes: #569337)
   * Merge upstream SVN revision 48.
   * Update build system via autoupdate
   * Add new maintainer debian-embedded
   * Add Neil, Jonas and myself as uploaders
   * Remove debian/watch
   * Add Vcs-Svn: tag to debian/control file
Checksums-Sha1: 
 dbccfabc7df0b7ef83caa2ba97e385e8c97904da 1756 xf86-input-tslib_0.0.6-3.dsc
 708c91cfc16f7f04d2d639addb424aae686037cd 307751 xf86-input-tslib_0.0.6-3.tar.gz
 142374ce595a8ae345dd3d11df99f5b86d527091 11764 xserver-xorg-input-tslib_0.0.6-3_i386.deb
Checksums-Sha256: 
 50fed18949b75c3d07fa32a588a0ced6d4ddf06518bf87de3f1ca5b3af04d1ad 1756 xf86-input-tslib_0.0.6-3.dsc
 546083a3d70b0da4403fb2add28036ed48f6a91adb802044ac0e4f3bcbc429f5 307751 xf86-input-tslib_0.0.6-3.tar.gz
 eb50eca03dd622573a6743ab2532d439ae10641718d8d9391c907c81526de1b1 11764 xserver-xorg-input-tslib_0.0.6-3_i386.deb
Files: 
 9b94c62d84d171dba33c0784f93bc3e7 1756 x11 optional xf86-input-tslib_0.0.6-3.dsc
 d73c89e0e50faa5c24a7c13c29505101 307751 x11 optional xf86-input-tslib_0.0.6-3.tar.gz
 1bfe7961b301bd6658e95818c0107875 11764 x11 optional xserver-xorg-input-tslib_0.0.6-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLdfKzAAoJEK8ig6p24qx7VKAP/iv/Q19VZabmC3mfosRcExVy
mBm2MQmAKEDizpqsViqz6u4PZDjxyrZ87RoSdc/Kef2yD8NN7P8ZTvF2OOjLfa3J
AzHUqBuu3LaJzpaSglw7pKT8CyMPkt2gM4Te/6JKlVWe91DzcEBupkXNVEvKSF3C
M3t1JZs1Sdl2+egruSDZDPgi1dKLJ1l6/OUbTQCIQMJnyDRxuyLFu3UxT4RKnNI4
nAT8Y3unNn7UY2forn03IaszNaWAYrIrbgjn+j1H4t7OWtPrakkMUc6tPD2MBfKJ
QG3L3XCqXKaTrhs21xLsCxuMI2+Hsw/m/RTYEHFx8jmg4TLYq4VDJp8begRzidAS
MhcrY6T0vyflSmJ3+usxTRBntBw0LQw8BfvjJYcp0kT9hlMQJikbNgYxz5Y/L1w3
XEiyL4XlxGaykQEmto2dF5/5bNhUWcKs+rIPIupqqfZqnXwZEqehvUqskwKAnV16
PD1aUot707rUmdc7BRAmye7f4jFvgfmjKKqJWCBoaeFVOd+mdR8ggdux7EZEZJ6/
uZ5tf5sYeYh2X/HRis5YtM0Lt0170zAjZ7SZg9C/fbW19HDVBHh05EK/Vz76HZsi
CQxfuWz/149vJ24vSJmcm02kCEeG4nJrOwbo6wcpfqLG+IE3k7aCyacLE27p5IJU
FI6K8DiYboQbG41oMrPJ
=IMh6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Mar 2010 07:32:26 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Timo Juhani Lindfors <timo.lindfors@iki.fi> to control@bugs.debian.org. (Thu, 08 Jul 2010 07:48:02 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions xf86-input-tslib/0.0.6-3 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Jul 2010 07:48:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xf86-input-tslib/0.0.6-5. Request was from Timo Juhani Lindfors <timo.lindfors@iki.fi> to control@bugs.debian.org. (Thu, 08 Jul 2010 07:48:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xf86-input-tslib/0.0.6-4. Request was from Timo Juhani Lindfors <timo.lindfors@iki.fi> to control@bugs.debian.org. (Thu, 08 Jul 2010 07:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#569337; Package xserver-xorg-input-tslib. (Thu, 08 Jul 2010 11:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Thu, 08 Jul 2010 11:30:03 GMT) Full text and rfc822 format available.

Message #50 received at 569337@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 569337@bugs.debian.org
Subject: Re: xserver-xorg-input-tslib: "xset q" crashes X server
Date: Thu, 08 Jul 2010 14:28:29 +0300
(Sorry for the third mail, for some reason my second mail did not show
up on http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=569337 )

Unfortunately this seems to still be a problem with 0.0.6-5 if the
steps to reproduce are changed just slightly (you need to touch the
screen between xset invocations).

Steps to reproduce:
1) sudo gdb X and type "run"
2) xclock &
3) xset q
4) touch the screen
5) xset q

Expected results:
3 & 5) X does not crash

Actual results:
3) X does not crash
Keyboard Control:
  auto repeat:  on    key click percent:  0    LED mask:  00000000
  XKB indicators:
    00: Caps Lock:   off    01: Num Lock:    off    02: Scroll Lock: off
    03: Shift Lock:  off    04: Group 2:     off    05: Mouse Keys:  off
  auto repeat delay:  660    repeat rate:  25
  auto repeating keys:  00ffffffdffffbbf
                        fadfffdfffdfe5ef
                        ffffffffffffffff
                        ffffffffffffffff
  bell percent:  50    bell pitch:  400    bell duration:  100
Pointer Control:
  acceleration:  2/1    threshold:  4
Screen Saver:
  prefer blanking:  yes    allow exposures:  yes
  timeout:  600    cycle:  600
Colors:
  default colormap:  0x20    BlackPixel:  0    WhitePixel:  65535
Font Path:
  /usr/share/fonts/X11/misc,built-ins
DPMS (Energy Star):
  Standby: 600    Suspend: 600    Off: 600
  DPMS is Enabled
  Monitor is On
5) X crashes:
(gdb) run
Starting program: /usr/bin/X
[Thread debugging using libthread_db enabled]

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-trunk-iop32x armv5tel Debian
Current Operating System: Linux ginger 2.6.29-GTA02_lindi2-andy-tracking-mokodev #1 Wed Jul 7 09:11:01 EEST 2010 armv4tl
Kernel command line: loglevel=4 console=tty0 console=ttySAC2,115200 init=/sbin/init ro  mtdparts=physmap-flash:-(nor);neo1973-nand:0x00040000(qi),0x00040000(depr-ub-env),0x00800000(kernel),0x000a0000(depr),0x00040000(identity-ext2),0x0f6a0000(rootfs)  g_ether.host_addr=00:1F:11:01:1F:6B g_ether.dev_addr=00:1F:11:01:1F:6B  root=/dev/mmcblk0p1 rootdelay=1 rootdelay=1 panic=20 mem=127M root=/dev/mmcblk0p2 loglevel=8
Build Date: 05 June 2010  05:17:19PM
xorg-server 2:1.7.7-2 (Julien Cristau <jcristau@debian.org>)
Current version of pixman: 0.16.4
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Jul  8 09:49:07 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
[tcsetpgrp failed in terminal_inferior: Operation not permitted]
(EE) Failed to load module "kbd" (module does not exist, 0)
SELinux: Disabled on system, not enabling in X server
(EE) AIGLX error: dlopen of /usr/lib/dri/swrast_dri.so failed (/usr/lib/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
(EE) GLX: could not load software renderer
xf86TslibControlProc
xf86TslibControlProc
(EE) Failed to load module "kbd" (module does not exist, 0)
(EE) No input driver matching `kbd'

Program received signal SIGSEGV, Segmentation fault.
ProcGetPointerControl (client=0x34dc40) at ../../dix/devices.c:2136
2136    ../../dix/devices.c: No such file or directory.
        in ../../dix/devices.c
(gdb) thread apply all bt full

Thread 1 (Thread 0x40021970 (LWP 4371)):
#0  ProcGetPointerControl (client=0x34dc40) at ../../dix/devices.c:2136
        ptr = <value optimized out>
        rep = {type = 1 '\001', pad1 = 12 '\f', sequenceNumber = 8, length = 0, accelNumerator = 56384, accelDenominator = 52, threshold = 0, pad2 = 0,
          pad3 = 1698864, pad4 = 1698864, pad5 = 3464256, pad6 = 0}
        rc = 0
#1  0x000333c0 in Dispatch () at ../../dix/dispatch.c:439
        result = 0
        client = 0x34dc40
        nready = <value optimized out>
        start_tick = 40
#2  0x00027950 in main (argc=1, argv=0xbe8a28a4, envp=<value optimized out>) at ../../dix/main.c:285
        i = 1
        alwaysCheckForInput = {0, 1}
(gdb) x/5i $pc
=> 0x29680 <ProcGetPointerControl+104>: ldrh    r2, [r7, #12]
   0x29684 <ProcGetPointerControl+108>: ldr     r3, [r5, #16]
   0x29688 <ProcGetPointerControl+112>: strh    r2, [sp, #12]
   0x2968c <ProcGetPointerControl+116>: cmp     r3, #0
   0x29690 <ProcGetPointerControl+120>: ldrh    r3, [r7, #4]
(gdb) info register
r0             0x0      0
r1             0xbe8a25e4       3196724708
r2             0x8      8
r3             0x19ec30 1698864
r4             0x19ec30 1698864
r5             0x34dc40 3464256
r6             0x1      1
r7             0x0      0
r8             0x0      0
r9             0x1b3018 1781784
r10            0x34dc40 3464256
r11            0x28     40
r12            0xbe8a2620       3196724768
sp             0xbe8a2620       0xbe8a2620
lr             0x29668  169576
pc             0x29680  0x29680 <ProcGetPointerControl+104>
fps            0x1001000        16781312
cpsr           0x60000010       1610612752

More info:
1) 

$ COLUMN=80 dpkg -l | grep xser
ii  x11-xserver-utils                 7.5+1                        X server utilities
ii  xserver-common                    2:1.7.7-2                    common files used by various X servers
ii  xserver-xorg                      1:7.5+6                      the X.Org X server
ii  xserver-xorg-core                 2:1.7.7-2                    Xorg X server - core server
ii  xserver-xorg-core-dbg             2:1.7.7-2                    Xorg - the X.Org X server (debugging symbols
ii  xserver-xorg-dev                  2:1.7.7-2                    Xorg X server - development files
ii  xserver-xorg-input-evdev          1:2.3.2-6                    X.Org X server -- evdev input driver
ii  xserver-xorg-input-synaptics      1.2.2-2                      Synaptics TouchPad driver for X.Org server
ii  xserver-xorg-input-tslib          0.0.6-5                      tslib touchscreen driver for X.Org/XFree86 s
ii  xserver-xorg-video-fbdev          1:0.4.2-2                    X.Org X server -- fbdev display driver

2) This seems to also occur with 0.0.6-4

3) To test 0.0.6-3 I downgraded xserver-xorg-core from 2:1.7.7-2 to
2:1.7.4-2. The problem does not occur!

=> this broke between -3 and -4.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#569337; Package xserver-xorg-input-tslib. (Fri, 09 Jul 2010 06:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikael Berthe <mikael.berthe@lilotux.net>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Fri, 09 Jul 2010 06:54:03 GMT) Full text and rfc822 format available.

Message #55 received at 569337@bugs.debian.org (full text, mbox):

From: Mikael Berthe <mikael.berthe@lilotux.net>
To: 569337@bugs.debian.org
Cc: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Subject: xserver-xorg-input-tslib: "xset q" crashes X server
Date: Fri, 9 Jul 2010 08:51:19 +0200
I could reproduce it here:

~# DISPLAY=:0 xset q
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"
      after 8 requests (7 known processed) with 0 events remaining.

[X server crashed now]

~# dpkg -l | grep xser
ii  x11-xserver-utils                      7.5+1                                                           X server utilities
ii  xserver-common                         2:1.7.7-2                                                       common files used by various X servers
ii  xserver-xorg                           1:7.5+6                                                         the X.Org X server
ii  xserver-xorg-core                      2:1.7.7-2                                                       Xorg X server - core server
ii  xserver-xorg-input-all                 1:7.5+6                                                         the X.Org X server -- input driver metapacka
ii  xserver-xorg-input-evdev               1:2.3.2-6                                                       X.Org X server -- evdev input driver
ii  xserver-xorg-input-synaptics           1.2.2-2                                                         Synaptics TouchPad driver for X.Org server
ii  xserver-xorg-input-tslib               0.0.6-5                                                         tslib touchscreen driver for X.Org/XFree86 s
ii  xserver-xorg-input-wacom               0.10.5+20100416-1                                               X.Org X server -- Wacom input driver
ii  xserver-xorg-video-fbdev               1:0.4.2-2                                                       X.Org X server -- fbdev display driver
ii  xserver-xorg-video-glamo               0.0.0+20091108.git9918e082-2                                    X.Org X server -- SMedia Glamo display drive
rc  xserver-xorg-video-radeon              1:6.13.0-1                                                      X.Org X server -- AMD/ATI Radeon display dri
ii  xserver-xorg-video-v4l                 1:0.2.0-4                                                       X.Org X server -- Video 4 Linux display driv
ii  xserver-xorg-video-vesa                1:2.3.0-3                                                       X.Org X server -- VESA display driver

-- 
MiKael




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#569337; Package xserver-xorg-input-tslib. (Mon, 19 Jul 2010 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Mon, 19 Jul 2010 23:51:03 GMT) Full text and rfc822 format available.

Message #60 received at 569337@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 569337@bugs.debian.org
Subject: Re: Bug#569337: xserver-xorg-input-tslib: "xset q" crashes X server
Date: Tue, 20 Jul 2010 01:47:14 +0200
Hello Timo,

2010/7/8, Timo Juhani Lindfors <timo.lindfors@iki.fi>:
> Unfortunately this seems to still be a problem with 0.0.6-5 if the
> steps to reproduce are changed just slightly (you need to touch the
> screen between xset invocations).

Could you try to add to /usr/share/X11/xorg.conf.d/50-tslib.conf
InputClass section:
  MatchDevicePath "/dev/input/event*"

And see if the issue persists?

Cheers,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#569337; Package xserver-xorg-input-tslib. (Tue, 20 Jul 2010 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Tue, 20 Jul 2010 00:03:03 GMT) Full text and rfc822 format available.

Message #65 received at 569337@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Hector Oron <hector.oron@gmail.com>
Cc: 569337@bugs.debian.org
Subject: Re: Bug#569337: xserver-xorg-input-tslib: "xset q" crashes X server
Date: Tue, 20 Jul 2010 03:00:27 +0300
Hi Hector,

Hector Oron <hector.oron@gmail.com> writes:
> Could you try to add to /usr/share/X11/xorg.conf.d/50-tslib.conf
> InputClass section:
>   MatchDevicePath "/dev/input/event*"
>
> And see if the issue persists?

Unfortunately this does not seem to help:

root@ginger:~# xterm &
[1] 27457
root@ginger:~# xset q
Keyboard Control:
  auto repeat:  on    key click percent:  0    LED mask:  00000000
  XKB indicators:
    00: Caps Lock:   off    01: Num Lock:    off    02: Scroll Lock: off
    03: Shift Lock:  off    04: Group 2:     off    05: Mouse Keys:  off
  auto repeat delay:  660    repeat rate:  25
  auto repeating keys:  00ffffffdffffbbf
                        fadfffdfffdfe5ef
                        ffffffffffffffff
                        ffffffffffffffff
  bell percent:  50    bell pitch:  400    bell duration:  100
Pointer Control:
  acceleration:  2/1    threshold:  4
Screen Saver:
  prefer blanking:  yes    allow exposures:  yes
  timeout:  600    cycle:  600
Colors:
  default colormap:  0x20    BlackPixel:  0    WhitePixel:  65535
Font Path:
  /usr/share/fonts/X11/misc,built-ins
DPMS (Energy Star):
  Standby: 600    Suspend: 600    Off: 600
  DPMS is Enabled
  Monitor is On
root@ginger:~# xset q
xterm:  fatal IO error 11 (Resource temporarily unavailable) or KillClient on X server ":0.0"
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"
      after 8 requests (7 known processed) with 0 events remaining.

...

(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) AIGLX: Screen 0 is not DRI2 capable
(II) AIGLX: Screen 0 is not DRI capable
(EE) AIGLX error: dlopen of /usr/lib/dri/swrast_dri.so failed (/usr/lib/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
(EE) GLX: could not load software renderer
(II) GLX: no usable GL providers found for screen 0
(**) Option "CorePointer"
(**) Mouse0: always reports core events
(**) Option "Width" "480"
(**) Option "Height" "640"
(II) XINPUT: Adding extended input device "Mouse0" (type: TOUCHSCREEN)
xf86TslibControlProc
xf86TslibControlProc
(**) power: always reports core events
(**) power: Device: "/dev/input/event0"
(II) power: Found keys
(II) power: Configuring as keyboard
(II) XINPUT: Adding extended input device "power" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "evdev"
(**) Option "xkb_layout" "us"
(II) LoadModule: "kbd"
(WW) Warning, couldn't open module kbd
(II) UnloadModule: "kbd"
(EE) Failed to load module "kbd" (module does not exist, 0)
(EE) No input driver matching `kbd'
(II) config/udev: Adding input device Neo1973 Buttons (/dev/input/event4)
(II) AutoAddDevices is off - not adding device.
(II) config/udev: Adding input device PCF50633 PMU events (/dev/input/event0)
(II) AutoAddDevices is off - not adding device.
(II) config/udev: Adding input device s3c2410 TouchScreen (/dev/input/event1)
(II) AutoAddDevices is off - not adding device.
(II) config/udev: Adding input device lis302-1 (top) (/dev/input/event2)
(II) AutoAddDevices is off - not adding device.
(II) config/udev: Adding input device lis302-2 (bottom) (/dev/input/event3)
(II) AutoAddDevices is off - not adding device.


Backtrace:
Segmentation fault at address 0xc

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting


Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

xf86TslibControlProc
xf86TslibControlProc
xf86TslibUninit
xf86TslibControlProc
(II) UnloadModule: "tslib"
Aborted




-Timo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#569337; Package xserver-xorg-input-tslib. (Sat, 29 Jan 2011 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Sat, 29 Jan 2011 21:00:04 GMT) Full text and rfc822 format available.

Message #70 received at 569337@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 569337@bugs.debian.org
Cc: Hector Oron <hector.oron@gmail.com>, Mikael Berthe <mikael.berthe@lilotux.net>
Subject: Re: Bug#569337: xserver-xorg-input-tslib: "xset q" crashes X server
Date: Sat, 29 Jan 2011 22:48:57 +0200
Hi,

I tried to debug this today. Much to my surprise the bug does not
occur if I rebuild the package (0.0.6-5) locally!

The only meaningful difference that I can see is that the working
version talks about InitPtrFeedbackClassDeviceStruct while the broken
one does not:

$ diff -u <(strings -n3 broken/usr/lib/xorg/modules/input/tslib_drv.so) <(strings -n3 working/usr/lib/xorg/modules/input/tslib_drv.so)
--- /dev/fd/63  2011-01-29 22:29:15.036718000 +0200
+++ /dev/fd/62  2011-01-29 22:29:15.056718000 +0200
@@ -34,12 +34,13 @@
 xf86PostButtonEvent
 xf86Screens
 rrPrivKey
+AddEnabledDevice
 XIGetKnownProperty
 InitButtonClassDeviceStruct
 InitValuatorClassDeviceStruct
 InitValuatorAxisStruct
 InitProximityClassDeviceStruct
-AddEnabledDevice
+InitPtrFeedbackClassDeviceStruct
 ts_close
 tslibModuleData
 libts-0.0.so.0
@@ -118,4 +119,3 @@
 X.Org Foundation
 X.Org XInput driver
 X.Org XInput Driver
-oP


The patch debian/patches/0001-fix-segfault.patch talks about
InitPtrFeedbackClassDeviceStruct -- is it possible that the version
0.0.6-5 in the archive somehow did not apply that patch at all?

The log at

https://buildd.debian.org/fetch.cgi?pkg=xf86-input-tslib;ver=0.0.6-5;arch=armel;stamp=1273491446

shows

Unpack source
-------------
...
dpkg-source: info: applying 0001-fix-segfault.patch



but then

dpkg-buildpackage
-----------------
...
Unapplying patches...Removing patch 0001-fix-segfault.patch
...
./configure --build arm-linux-gnueabi --prefix=/usr --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info CFLAGS="-g -O2" LDFLAGS="-z,defs"
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
...

and nothing in the build log mentions that patch anymore. What's going
on?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#569337; Package xserver-xorg-input-tslib. (Sun, 30 Jan 2011 01:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Sun, 30 Jan 2011 01:27:03 GMT) Full text and rfc822 format available.

Message #75 received at 569337@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 569337@bugs.debian.org, Mikael Berthe <mikael.berthe@lilotux.net>
Subject: Re: Bug#569337: xserver-xorg-input-tslib: "xset q" crashes X server
Date: Sun, 30 Jan 2011 01:24:44 +0000
Hello,

2011/1/29 Timo Juhani Lindfors <timo.lindfors@iki.fi>:

> The log at
>
> https://buildd.debian.org/fetch.cgi?pkg=xf86-input-tslib;ver=0.0.6-5;arch=armel;stamp=1273491446
>
> shows

> Unapplying patches...Removing patch 0001-fix-segfault.patch
> ...
> ./configure --build arm-linux-gnueabi --prefix=/usr --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info CFLAGS="-g -O2" LDFLAGS="-z,defs"

> and nothing in the build log mentions that patch anymore. What's going
> on?

It looks like sbuild calls 'debian/rules build' which does not apply
the patch and local builds using dpkg-buildpackage seem to apply the
patch. Now it is a bit late for release, but let us update the
packaging after release and prepare an early backport.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#569337; Package xserver-xorg-input-tslib. (Sun, 30 Jan 2011 03:06:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to 569337@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Sun, 30 Jan 2011 03:06:10 GMT) Full text and rfc822 format available.

Message #80 received at 569337@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 569337@bugs.debian.org
Subject: Re: Bug#569337: xserver-xorg-input-tslib: "xset q" crashes X server
Date: Sun, 30 Jan 2011 04:02:41 +0100
[Message part 1 (text/plain, inline)]
On Sat, Jan 29, 2011 at 10:48:57PM +0200, Timo Juhani Lindfors wrote:

>but then
>
>dpkg-buildpackage
>-----------------
>...
>Unapplying patches...Removing patch 0001-fix-segfault.patch
>...
>./configure --build arm-linux-gnueabi --prefix=/usr --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info CFLAGS="-g -O2" LDFLAGS="-z,defs"
>checking for a BSD-compatible install... /usr/bin/install -c
>checking whether build environment is sane... yes
>...
>
>and nothing in the build log mentions that patch anymore. What's going
>on?


Argh: Problem is use of dpkg-source format "3.0 (quilt)" and at the same 
time - fairly convoluted - additionally handling patching directly too.

Good analysis work, Timo!


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#569337; Package xserver-xorg-input-tslib. (Tue, 01 Mar 2011 15:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Tue, 01 Mar 2011 15:30:03 GMT) Full text and rfc822 format available.

Message #85 received at 569337@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 612175-submitter@bugs.debian.org, 569337-submitter@bugs.debian.org
Cc: 612175@bugs.debian.org, 569337@bugs.debian.org
Subject: xserver-xorg-input-tslib: check later upload to unstable
Date: Tue, 1 Mar 2011 15:27:14 +0000
Hello,

  Could you please check later upload to unstable and report if the
bug stills there?

Cheers,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Message sent on to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Bug#569337. (Tue, 01 Mar 2011 15:30:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#569337; Package xserver-xorg-input-tslib. (Wed, 02 Mar 2011 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Wed, 02 Mar 2011 10:15:03 GMT) Full text and rfc822 format available.

Message #93 received at 569337@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Hector Oron <hector.oron@gmail.com>
Cc: 569337@bugs.debian.org
Subject: Re: Bug#569337: xserver-xorg-input-tslib: check later upload to unstable
Date: Wed, 02 Mar 2011 12:12:17 +0200
Hector Oron <hector.oron@gmail.com> writes:
>   Could you please check later upload to unstable and report if the
> bug stills there?

0.0.6-6 installs and works, thank you very much!

# apt-get install xserver-xorg-input-tslib
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer
required:
  libcamel1.2-19 libebook1.2-10 libecal1.2-8 libedata-cal1.2-10
  libedata-book1.2-8 libgdata7 libgdata-common
Use 'apt-get autoremove' to remove them.
The following packages will be upgraded:
  xserver-xorg-input-tslib
1 upgraded, 0 newly installed, 0 to remove and 141 not upgraded.
Need to get 16.4 kB of archives.
After this operation, 8192 B of additional disk space will be used.
Get:1 http://ftp.debian.org/debian/ unstable/main
xserver-xorg-input-tslib armel 0.0.6-6 [16.4 kB]
Fetched 16.4 kB in 0s (85.5 kB/s)
(Reading database ... 60717 files and directories currently installed.)
Preparing to replace xserver-xorg-input-tslib 0.0.6-5lindi1 (using
.../xserver-xorg-input-tslib_0.0.6-6_armel.deb) ...
Unpacking replacement xserver-xorg-input-tslib ...
Processing triggers for man-db ...
Setting up xserver-xorg-input-tslib (0.0.6-6) ...
localepurge: Disk space freed in /usr/share/locale: 7376 KiB
localepurge: Disk space freed in /usr/share/man: 0 KiB
localepurge: Disk space freed in /usr/share/gnome/help: 0 KiB
localepurge: Disk space freed in /usr/share/omf: 0 KiB

Total disk space freed by localepurge: 7376 KiB

root@ginger:~# /etc/init.d/xdm stop
Stopping X display manager: xdm.
root@ginger:~# /etc/init.d/xdm start
Starting X display manager: xdm.

-Timo




Bug Marked as fixed in versions xf86-input-tslib/0.0.6-6. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Wed, 02 Mar 2011 10:27:08 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Timo Juhani Lindfors <timo.lindfors@iki.fi> Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Wed, 02 Mar 2011 10:27:10 GMT) Full text and rfc822 format available.

Message sent on to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Bug#569337. (Wed, 02 Mar 2011 10:27:14 GMT) Full text and rfc822 format available.

Message #100 received at 569337-submitter@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: control@bugs.debian.org
Cc: 569337-submitter@bugs.debian.org
Subject: closing 569337
Date: Wed, 02 Mar 2011 10:25:30 +0000
close 569337 
thanks

2011/3/2 Timo Juhani Lindfors <timo.lindfors@iki.fi>:
> 0.0.6-6 installs and works, thank you very much!

Cheers





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 May 2011 07:39:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:39:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.